disp('test003: Should return an empty model if input cellimages is not a list');
protimages = {'../../../images/HeLa/3D/raw/LAMP2/cell1_mask_t1.tif'};
dnaimages = {'../../../images/HeLa/3D/raw/LAMP2/cell1_mask_t1.tif'};
cellimages = '';
masks = {};
param.train.flag = 'all';
model = ml_traingenmodel2D(protimages, dnaimages, cellimages, masks, param);
assert(isempty(model) || model == 0);

disp('Test passed.');